--- Register Nodes ---

minetest.register_node("pokeschems:pkmncenter_node", {
	description = "pkmncenter_node(spawner)",
	tiles = {"fake_air.png",},
	is_ground_content = true,
	drop = '',
})

minetest.register_node("pokeschems:pkmnmarket_node", {
	description = "pkmnmarket_node(spawner)",
	tiles = {"fake_air.png",},
	is_ground_content = true,
	drop = '',
})

minetest.register_node("pokeschems:pkmnstadium_node", {
	description = "pkmnstadium_node(spawner)",
	tiles = {"fake_air.png",},
	is_ground_content = true,
	drop = '',
})

--- Register Ores ---

 minetest.register_ore({
     ore_type = "scatter",
     ore = "pokeschems:pkmncenter_node",
     wherein = "default:dirt_with_grass",
     clust_scarcity = 35*35*35,
     clust_num_ores = 1,
     clust_size = 1,
     height_min = -200,
	height_max = 31000,
})

 minetest.register_ore({
     ore_type = "scatter",
     ore = "pokeschems:pkmnmarket_node",
     wherein = "default:dirt_with_grass",
     clust_scarcity = 40*40*40,
     clust_num_ores = 1,
     clust_size = 1,
     height_min = -200,
	height_max = 31000,
})

 minetest.register_ore({
     ore_type = "scatter",
     ore = "pokeschems:pkmnstadium_node",
     wherein = "default:dirt_with_grass",
     clust_scarcity = 45*45*45,
     clust_num_ores = 1,
     clust_size = 1,
     height_min = -200,
	height_max = 31000,
})

--- Schematics ---

local pkmncenter = minetest.get_modpath("pokeschems").."/schems/pkmncenter.mts"

minetest.register_abm({
	nodenames = {"pokeschems:pkmncenter_node"},
 	interval = 1.0,
	chance = 1,
	action = function(pos, node, active_object_count, active_object_count_wider)
	minetest.place_schematic(pos, pkmncenter, 0, {}, true)
	end,
})

local pkmnmarket = minetest.get_modpath("pokeschems").."/schems/pkmnmarket.mts"

minetest.register_abm({
	nodenames = {"pokeschems:pkmnmarket_node"},
 	interval = 1.0,
	chance = 1,
	action = function(pos, node, active_object_count, active_object_count_wider)
	minetest.place_schematic(pos, pkmnmarket, 0, {}, true)
	end,
})

local pkmnstadium = minetest.get_modpath("pokeschems").."/schems/pkmnstadium.mts"

minetest.register_abm({
	nodenames = {"pokeschems:pkmnstadium_node"},
 	interval = 1.0,
	chance = 1,
	action = function(pos, node, active_object_count, active_object_count_wider)
	minetest.place_schematic(pos, pkmnstadium, 0, {}, true)
	end,
})

